import { AssistantInit as BaseAssistantInit } from '@kevisual/assistant-cli/lib';

export class AssistantInit extends BaseAssistantInit {
  constructor(options: { path?: string }) {
    super(options);
  }
  protected getDefaultInitAssistantConfig() {
    const config = super.getDefaultInitAssistantConfig();
    config.registry = 'https://kevisual.silkyai.cn';
    config.pageApi = 'https://kevisual.silkyai.cn';
    config.scripts = {
      init: 'silky init',
      'init:env': 'silky init-env',
      'init:talkshow': 'silky init-talkshow',
      'server:start': 'asst server -s',
      "app:download": "asst app download -i root/center"
    };
    return config;
  }
}
