import { App } from '@kevisual/router';
import { HttpsPem } from '@/module/assistant/https/sign.ts';
// import { AssistantConfig } from '@/module/assistant/index.ts';
import { AssistantInit } from '@/services/init/index.ts';
export const configDir = AssistantInit.detectConfigDir();
export const assistantConfig = new AssistantInit({
  path: configDir,
  init: true,
});

const httpsPem = new HttpsPem(assistantConfig);
export const app = new App({
  serverOptions: {
    path: '/client/router',
    httpType: 'https',
    httpsCert: httpsPem.cert,
    httpsKey: httpsPem.key,
  },
});
